---
title: Patient Identity Feed
slug: patient-identity-feed
docTags: 
createdAt: 2023-10-10T12:31:36.932Z
---

To use the Founda Platform as a Cross-Reference Patient Identifier Manager, it has to be fed with Patient Identifiers and their cross-references. There are four types of operations for the Patient Identity Feed:

- Add a new Patient Identifier
- Revise an existing Patient Identifier
- Resolve a duplicate Patient Identifier
- Remove an existing Patient Identifier

This page describes the interactions and provides you with code examples to start using the Patient Identity Feed through the Founda Platform.

### Profile

The Patient Identity Feed interactions with the Founda Platform are based on the [IHE PIXm profile](https://profiles.ihe.net/ITI/PIXm/). To indicate that the request and response should comply with [ITI-104](https://profiles.ihe.net/ITI/PIXm/ITI-104.html), the `profile` parameter should be included in the Patient payload that is being send to the endpoint.&#x20;

**How to include the profile URL in the request body:**

```json
{
    "meta": {
        "profile": [
            "https://profiles.ihe.net/iti/pixm/implementationguide/ihe.iti.pixm"
        ]
    }
}
```

::::ExpandableHeading
### Add/Revise a Patient Identifier

A Patient Identifier can be added/revised by sending a Patient resource in a FHIR structured JSON body to the Founda Platform. The body has to be sent with a **PUT** request to the Patient endpoint, depending on your [region](docId\:ncFf15xNu1WGlST2wNm-P): `https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient`

To add/revise the patient identifier of an existing patient, the query parameters of the call to the Patient endpoint should contain a valid identifier, for example:&#x20;

`https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient?identifier=urn:oid:1.3.6.1.4.1.21367.13.20.1000|IHERED`

:::hint{type="info"}
The identifier provided in the query parameter is the combination of an Identifier Domain and a Patient Identifier, represented as a single string and pipe-delimited `|`.
:::

```json
{
    "resourceType": "Patient",
    "identifier": [
        {
            "system": "urn:oid:1.3.6.1.4.1.21367.13.20.1000",
            "value": "IHERED"
        },
        {
            "system": "urn:oid:1.3.6.1.4.1.21367.13.20.2000",
            "value": "IHEBLUE"
        }
    ],
    "meta": {
        "profile": [
            "https://profiles.ihe.net/iti/pixm/implementationguide/ihe.iti.pixm"
        ]
    }
}
```


::::

:::ExpandableHeading
### Resolve a duplicate Patient

A duplicate Patient Identifier can be resolved by replacing the Patient Identifier and all of its internal references with the Patient Identifier provided in the `replaced-by` link. &#x20;

To do this, a Patient resource in a FHIR/JSON body is sent to the Patient endpoint with a **PUT** request. The query parameters of the call should contain the valid identifier of the patient you wish to resolve the duplicate patient for: `https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient?identifier=urn:oid:1.3.6.1.4.1.21367.13.20.1000|IHERED`

Depending on the [region](docId\:ncFf15xNu1WGlST2wNm-P) you are in.

```json
{
    "resourceType": "Patient",
    "identifier": [
        {
            "system": "urn:oid:1.3.6.1.4.1.21367.13.20.1000",
            "value": "IHERED"
        },
        {
            "system": "urn:oid:1.3.6.1.4.1.21367.13.20.2000",
            "value": "IHEBLUE"
        }
    ],
    "link": [
        {
            "other": {
                "identifier": {
                    "system": "urn:oid:1.3.6.1.4.1.21367.13.20.1000",
                    "value": "IHEGREEN"
                }
            }
        }
    ],
    "meta": {
        "profile": [
            "https://profiles.ihe.net/iti/pixm/implementationguide/ihe.iti.pixm"
        ]
    }
}
```


:::

:::ExpandableHeading
### Remove a Patient Identifier

A Patient Identifier can be removed by initiating a **DELETE** request to the Patient endpoint.The query parameters of the call should contain the valid identifier of the patient you wish to remove: `https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient?identifier=urn:oid:1.3.6.1.4.1.21367.13.20.1000|IHERED`

Depending on the [region](docId\:ncFf15xNu1WGlST2wNm-P) you are in.

```curl
curl --location --request DELETE 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Patient?identifier=urn%3Aoid%3A1.3.6.1.4.1.21367.13.20.1000%7CIHERED' \
--header 'Authorization: Bearer ory_at_nEeqJT2mKNExgsu7QFzSAIvHP8IS-6C0YCDp-WqAMi0.wmjzb98T0qwtbRMWMhj-VhsObMSV9aHcC61BWEDTJu4'
```


:::

